## org.eclipse.m2m.atl.profiler.model.impl
Class ProfilingInstructionImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.m2m.atl.profiler.model.impl.ProfilingInstructionImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ProfilingInstruction

Direct Known Subclasses:
  ProfilingOperationImpl

    public class ProfilingInstructionImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements ProfilingInstruction

An implementation of the model object 'Profiling Instruction'.

The following features are implemented:

- `Launched Time`
- `Stack Frames`
- `Parent Operation`
- `Instruction ID`
- `Atl Instruction`
- `Content`
- `Launched Memory Usage`
- `Has Error`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected ATLInstruction` `atlInstruction` The cached value of the '`Atl Instruction`' reference
`protected java.lang.String` `content` The cached value of the '`Content`' attribute
`protected static java.lang.String` `CONTENT_EDEFAULT` The default value of the '`Content`' attribute
`protected static boolean` `HAS_ERROR_EDEFAULT` The default value of the '`Has Error`' attribute
`protected boolean` `hasError` The cached value of the '`Has Error`' attribute
`protected static int` `INSTRUCTION_ID_EDEFAULT` The default value of the '`Instruction ID`' attribute
`protected int` `instructionID` The cached value of the '`Instruction ID`' attribute
`protected static long` `LAUNCHED_MEMORY_USAGE_EDEFAULT` The default value of the '`Launched Memory Usage`' attribute
`protected static long` `LAUNCHED_TIME_EDEFAULT` The default value of the '`Launched Time`' attribute
`protected long` `launchedMemoryUsage` The cached value of the '`Launched Memory Usage`' attribute
`protected long` `launchedTime` The cached value of the '`Launched Time`' attribute
`protected ProfilingOperation` `parentOperation` The cached value of the '`Parent Operation`' reference
`protected org.eclipse.emf.common.util.EList<java.lang.Object>` `stackFrames` The cached value of the '`Stack Frames`' attribute list

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ProfilingInstructionImpl()`

Method Summary
`ATLInstruction` `basicGetAtlInstruction()`
`ProfilingOperation` `basicGetParentOperation()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`ATLInstruction` `getAtlInstruction()`
`java.lang.String` `getContent()`
`int` `getInstructionID()`
`long` `getLaunchedMemoryUsage()`
`long` `getLaunchedTime()`
`ProfilingOperation` `getParentOperation()`
`org.eclipse.emf.common.util.EList<java.lang.Object>` `getStackFrames()`
`boolean` `isHasError()`
`void` `setAtlInstruction(ATLInstruction newAtlInstruction)`
`void` `setContent(java.lang.String newContent)`
`void` `setHasError(boolean newHasError)`
`void` `setInstructionID(int newInstructionID)`
`void` `setLaunchedMemoryUsage(long newLaunchedMemoryUsage)`
`void` `setLaunchedTime(long newLaunchedTime)`
`void` `setParentOperation(ProfilingOperation newParentOperation)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### LAUNCHED_TIME_EDEFAULT

    protected static final long LAUNCHED_TIME_EDEFAULT

  The default value of the '`Launched Time`' attribute.

  See Also:
    `getLaunchedTime()`, Constant Field Values

### launchedTime

    protected long launchedTime

  The cached value of the '`Launched Time`' attribute.

  See Also:
    `getLaunchedTime()`

### stackFrames

    protected org.eclipse.emf.common.util.EList<java.lang.Object> stackFrames

  The cached value of the '`Stack Frames`' attribute list.

  See Also:
    `getStackFrames()`

### parentOperation

    protected ProfilingOperation parentOperation

  The cached value of the '`Parent Operation`' reference.

  See Also:
    `getParentOperation()`

### INSTRUCTION_ID_EDEFAULT

    protected static final int INSTRUCTION_ID_EDEFAULT

  The default value of the '`Instruction ID`' attribute.

  See Also:
    `getInstructionID()`, Constant Field Values

### instructionID

    protected int instructionID

  The cached value of the '`Instruction ID`' attribute.

  See Also:
    `getInstructionID()`

### atlInstruction

    protected ATLInstruction atlInstruction

  The cached value of the '`Atl Instruction`' reference.

  See Also:
    `getAtlInstruction()`

### CONTENT_EDEFAULT

    protected static final java.lang.String CONTENT_EDEFAULT

  The default value of the '`Content`' attribute.

  See Also:
    `getContent()`

### content

    protected java.lang.String content

  The cached value of the '`Content`' attribute.

  See Also:
    `getContent()`

### LAUNCHED_MEMORY_USAGE_EDEFAULT

    protected static final long LAUNCHED_MEMORY_USAGE_EDEFAULT

  The default value of the '`Launched Memory Usage`' attribute.

  See Also:
    `getLaunchedMemoryUsage()`, Constant Field Values

### launchedMemoryUsage

    protected long launchedMemoryUsage

  The cached value of the '`Launched Memory Usage`' attribute.

  See Also:
    `getLaunchedMemoryUsage()`

### HAS_ERROR_EDEFAULT

    protected static final boolean HAS_ERROR_EDEFAULT

  The default value of the '`Has Error`' attribute.

  See Also:
    `isHasError()`, Constant Field Values

### hasError

    protected boolean hasError

  The cached value of the '`Has Error`' attribute.

  See Also:
    `isHasError()`

Constructor Detail

### ProfilingInstructionImpl

    protected ProfilingInstructionImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getLaunchedTime

    public long getLaunchedTime()

  Specified by:
    `getLaunchedTime` in interface `ProfilingInstruction`
  Returns:
    the value of the 'Launched Time' attribute.
  See Also:
    `ProfilingInstruction.setLaunchedTime(long)`, `ModelPackage.getProfilingInstruction_LaunchedTime()`

### setLaunchedTime

    public void setLaunchedTime(long newLaunchedTime)

  Specified by:
    `setLaunchedTime` in interface `ProfilingInstruction`
  Parameters:
    `newLaunchedTime` - the new value of the 'Launched Time' attribute.
  See Also:
    `ProfilingInstruction.getLaunchedTime()`

### getStackFrames

    public org.eclipse.emf.common.util.EList<java.lang.Object> getStackFrames()

  Specified by:
    `getStackFrames` in interface `ProfilingInstruction`
  Returns:
    the value of the 'Stack Frames' attribute list.
  See Also:
    `ModelPackage.getProfilingInstruction_StackFrames()`

### getParentOperation

    public ProfilingOperation getParentOperation()

  Specified by:
    `getParentOperation` in interface `ProfilingInstruction`
  Returns:
    the value of the 'Parent Operation' reference.
  See Also:
    `ProfilingInstruction.setParentOperation(ProfilingOperation)`, `ModelPackage.getProfilingInstruction_ParentOperation()`

### basicGetParentOperation

    public ProfilingOperation basicGetParentOperation()

### setParentOperation

    public void setParentOperation(ProfilingOperation newParentOperation)

  Specified by:
    `setParentOperation` in interface `ProfilingInstruction`
  Parameters:
    `newParentOperation` - the new value of the 'Parent Operation' reference.
  See Also:
    `ProfilingInstruction.getParentOperation()`

### getInstructionID

    public int getInstructionID()

  Specified by:
    `getInstructionID` in interface `ProfilingInstruction`
  Returns:
    the value of the 'Instruction ID' attribute.
  See Also:
    `ProfilingInstruction.setInstructionID(int)`, `ModelPackage.getProfilingInstruction_InstructionID()`

### setInstructionID

    public void setInstructionID(int newInstructionID)

  Specified by:
    `setInstructionID` in interface `ProfilingInstruction`
  Parameters:
    `newInstructionID` - the new value of the 'Instruction ID' attribute.
  See Also:
    `ProfilingInstruction.getInstructionID()`

### getAtlInstruction

    public ATLInstruction getAtlInstruction()

  Specified by:
    `getAtlInstruction` in interface `ProfilingInstruction`
  Returns:
    the value of the 'Atl Instruction' reference.
  See Also:
    `ProfilingInstruction.setAtlInstruction(ATLInstruction)`, `ModelPackage.getProfilingInstruction_AtlInstruction()`

### basicGetAtlInstruction

    public ATLInstruction basicGetAtlInstruction()

### setAtlInstruction

    public void setAtlInstruction(ATLInstruction newAtlInstruction)

  Specified by:
    `setAtlInstruction` in interface `ProfilingInstruction`
  Parameters:
    `newAtlInstruction` - the new value of the 'Atl Instruction' reference.
  See Also:
    `ProfilingInstruction.getAtlInstruction()`

### getContent

    public java.lang.String getContent()

  Specified by:
    `getContent` in interface `ProfilingInstruction`
  Returns:
    the value of the 'Content' attribute.
  See Also:
    `ProfilingInstruction.setContent(String)`, `ModelPackage.getProfilingInstruction_Content()`

### setContent

    public void setContent(java.lang.String newContent)

  Specified by:
    `setContent` in interface `ProfilingInstruction`
  Parameters:
    `newContent` - the new value of the 'Content' attribute.
  See Also:
    `ProfilingInstruction.getContent()`

### getLaunchedMemoryUsage

    public long getLaunchedMemoryUsage()

  Specified by:
    `getLaunchedMemoryUsage` in interface `ProfilingInstruction`
  Returns:
    the value of the 'Launched Memory Usage' attribute.
  See Also:
    `ProfilingInstruction.setLaunchedMemoryUsage(long)`, `ModelPackage.getProfilingInstruction_LaunchedMemoryUsage()`

### setLaunchedMemoryUsage

    public void setLaunchedMemoryUsage(long newLaunchedMemoryUsage)

  Specified by:
    `setLaunchedMemoryUsage` in interface `ProfilingInstruction`
  Parameters:
    `newLaunchedMemoryUsage` - the new value of the 'Launched Memory Usage' attribute.
  See Also:
    `ProfilingInstruction.getLaunchedMemoryUsage()`

### isHasError

    public boolean isHasError()

  Specified by:
    `isHasError` in interface `ProfilingInstruction`
  Returns:
    the value of the 'Has Error' attribute.
  See Also:
    `ProfilingInstruction.setHasError(boolean)`, `ModelPackage.getProfilingInstruction_HasError()`

### setHasError

    public void setHasError(boolean newHasError)

  Specified by:
    `setHasError` in interface `ProfilingInstruction`
  Parameters:
    `newHasError` - the new value of the 'Has Error' attribute.
  See Also:
    `ProfilingInstruction.isHasError()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Copyright 2007 IBM Corporation and others. All Rights Reserved.